---
- name: DevOps test
  gather_facts: true
  become: true
  hosts: all
  roles:
    - docker
    - reverse-proxy

  tasks:
    - name: Login into gitlab docker registry
      docker_login:
        registry_url:  "{{ lookup('env','CI_REGISTRY') }}"
        username: gitlab-ci-token
        password: "{{ lookup('env', 'CI_JOB_TOKEN') }}"

    - name: Deploy container
      docker_compose:
        project_name: "{{ lookup('env','CI_PROJECT_NAME') }}"
        definition:
          version: '3.7'
          services:
            devops-test:
              container_name: "{{ lookup('env','CI_PROJECT_NAME') }}"
              image: "{{ lookup('env','CI_REGISTRY') }}/{{ lookup('env','CI_PROJECT_PATH') }}/{{ lookup('env','CI_PROJECT_NAME') }}:{{ lookup('env','CI_COMMIT_REF_SLUG') }}"
              restart: unless-stopped
              environment:
                VIRTUAL_HOST: "{{ lookup('env','CI_PROJECT_NAME') }}.{{ lookup('env','DEPLOY_DOMAIN') }}"
                LETSENCRYPT_HOST: "{{ lookup('env','CI_PROJECT_NAME') }}.{{ lookup('env','DEPLOY_DOMAIN') }}"
                VIRTUAL_PORT: "8085"
              expose:
                - 8085
              networks:
                - proxy
          networks:
            proxy:
              name: proxy
      register: output
